Package org.eclipse.mat.inspections

## Enum HistogramQuery.Grouping

- java.lang.Object
- - java.lang.Enum<HistogramQuery.Grouping>
  - - org.eclipse.mat.inspections.HistogramQuery.Grouping

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<HistogramQuery.Grouping>`

Enclosing class:
  HistogramQuery

    public static enum HistogramQuery.Grouping
    extends java.lang.Enum<HistogramQuery.Grouping>

### Enum Constant Summary

Enum Constants
`BY_CLASS`
`BY_CLASSLOADER`
`BY_PACKAGE`
`BY_SUPERCLASS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.net.URL` `getIcon()`
`java.lang.String` `toString()`
`static HistogramQuery.Grouping` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HistogramQuery.Grouping[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BY_CLASS

    public static final HistogramQuery.Grouping BY_CLASS

#### BY_SUPERCLASS

    public static final HistogramQuery.Grouping BY_SUPERCLASS

#### BY_CLASSLOADER

    public static final HistogramQuery.Grouping BY_CLASSLOADER

#### BY_PACKAGE

    public static final HistogramQuery.Grouping BY_PACKAGE

### Method Detail

#### values

    public static HistogramQuery.Grouping[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HistogramQuery.Grouping c : HistogramQuery.Grouping.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HistogramQuery.Grouping valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getIcon

    public java.net.URL getIcon()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<HistogramQuery.Grouping>`